# Class EdDSAParameterSpec

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSAParameterSpec

All Implemented Interfaces:
  `Serializable, AlgorithmParameterSpec`

Direct Known Subclasses:
  `EdDSANamedCurveSpec`

public class EdDSAParameterSpec extends Object implements AlgorithmParameterSpec, Serializable
Parameter specification for an EdDSA algorithm.

Author:
  str4d
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EdDSAParameterSpec(Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`GroupElement`
`getB()`
`Curve`
`getCurve()`
`String`
`getHashAlgorithm()`
`ScalarOps`
`getScalarOps()`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EdDSAParameterSpec

public EdDSAParameterSpec(Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)

Parameters:
  `curve` - the curve
  `hashAlgo` - the JCA string for the hash algorithm
  `sc` - the parameter L represented as ScalarOps
  `B` - the parameter B
Throws:
  `IllegalArgumentException` - if hash algorithm is unsupported or length is wrong

## Method Details

### getCurve

public Curve getCurve()

### getHashAlgorithm

public String getHashAlgorithm()

### getScalarOps

public ScalarOps getScalarOps()

### getB

public GroupElement getB()

Returns:
  the base (generator)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`